For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subwallet super Admin role only

Authenticate with base API key

Create a new subwallet

post

This endpoint allows you to create a new subwallet by providing a wallet name and an optional label.

Authorizations
x-api-keystringRequired
Body
wallet_namestringRequired

The name of the subwallet to be created.

Example: mySubwallet
labelstringOptional

An optional label for the subwallet.

Example: My Subwallet Label
Responses
201

Subwallet created successfully

application/json
wallet_idstringOptional

The ID of the created subwallet.

Example: 1
tokenstringOptional

A token for the created subwallet.

Example: abcdef123456
post/api/subwallet/create
POST /api/subwallet/create HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "wallet_name": "mySubwallet",
  "label": "My Subwallet Label"
}
{
  "wallet_id": 1,
  "token": "abcdef123456"
}

Retrieve all subwallets

get

This endpoint allows you to retrieve all subwallets created under this base admin.

Authorizations
x-api-keystringRequired
Responses
200

Retrieved subwallets successfully

application/json
wallet_idstringOptional

The ID of the retrieved subwallet.

Example: 1
tokenstringOptional

A token for the retrieved subwallet.

Example: abcdef123456
labelstringOptional

A label for the retrieved subwallet.

Example: MySubwallet
get/api/subwallets
GET /api/subwallets HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "wallet_id": 1,
    "token": "abcdef123456",
    "label": "MySubwallet"
  }
]

Retrieve subwallet by wallet_id

get

This endpoint allows you to retrieve a subwallet by its wallet_id

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

The ID of the subwallet

Responses
200

A subwallet record

application/json
wallet_idstringOptional

The ID of the retrieved subwallet.

Example: 1
tokenstringOptional

A token for the retrieved subwallet.

Example: abcdef123456
labelstringOptional

A label for the retrieved subwallet.

Example: MySubwallet
get/api/subwallets/{wallet_id}
GET /api/subwallets/{wallet_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "wallet_id": 1,
  "token": "abcdef123456",
  "label": "MySubwallet"
}

Create a new API key

post

Generates a new API key and stores its HMAC in the database. API key names must be unique per wallet.

Authorizations
x-api-keystringRequired
Body
wallet_idstringOptional

The ID of the wallet for which the API key is being created.

namestringOptional

A descriptive label for the API key.

rolesstring[]Optional

The roles associated with the API key.

expires_atstring · date-time · nullableOptional

Optional ISO-8601 timestamp when the API key expires. Omit or set to null for no expiration.

Responses
200

API key successfully created.

application/json
api_keystringOptional

The generated API key.

key_idstringOptional

The ID of the stored HMACed API key.

namestringOptional

The saved label for the API key.

statusstringOptional

Status message.

expires_atstring · date-time · nullableOptional

The selected expiration timestamp, if provided.

post/api/apikey/create
POST /api/apikey/create HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "wallet_id": "wallet123",
  "name": "CI worker",
  "roles": [
    "admin"
  ],
  "expires_at": "2026-01-01T00:00:00.000Z"
}
{
  "api_key": "abcdef123456",
  "key_id": "key123",
  "name": "CI worker",
  "status": "API key successfully created.",
  "expires_at": "2026-01-01T00:00:00.000Z"
}

Revoke an API key

post

This endpoint revokes an API key by deleting it for the specified wallet and name.

Authorizations
x-api-keystringRequired
Body
wallet_idstringRequired

The ID of the wallet associated with the API key.

Example: wallet123
namestringRequired

The name of the API key to be revoked.

Example: CI worker
Responses
200

API key successfully revoked

application/json
statusstringOptional

Status message indicating the API key was successfully revoked.

post/api/apikey/revoke
POST /api/apikey/revoke HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "wallet_id": "wallet123",
  "name": "CI worker"
}
{
  "status": "text"
}

Last updated

Was this helpful?